[arch-commits] Commit in lyx/trunk (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Mon Jun 8 05:08:00 EDT 2009


    Date: Monday, June 8, 2009 @ 05:08:00
  Author: ronald
Revision: 41925

upgpkg: lyx 1.6.3-1
    build against system boost, bump to latest version

Modified:
  lyx/trunk/PKGBUILD

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-08 08:32:39 UTC (rev 41924)
+++ PKGBUILD	2009-06-08 09:08:00 UTC (rev 41925)
@@ -3,26 +3,26 @@
 # Contributor: Jason Chu <jason at archlinux.org>
 
 pkgname=lyx
-pkgver=1.6.2
+pkgver=1.6.3
 pkgrel=1
 pkgdesc="An advanced open-source document processor."
 arch=(i686 x86_64)
 url='http://www.lyx.org'
-depends=('qt' 'texlive-core' 'python' 'perl' 'imagemagick' 'aspell' 'aiksaurus')
+depends=('qt' 'texlive-core' 'python' 'perl' 'imagemagick' 'aspell' 'aiksaurus' 'boost')
 optdepends=('texlive-latex3: pdf export')
 license=('GPL')
 source=(ftp://ftp.lyx.org/pub/lyx/stable/1.6.x/$pkgname-$pkgver.tar.bz2 \
 	lyx.desktop)
-md5sums=('c78bf5db40e649b067f3b86e412eb294'
+md5sums=('c524e72f7e4d64224c6bfdbd84065dd8'
          'c11db315dc99254a4118827f98922623')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
 
   ./configure --prefix=/usr \
-    --with-frontend=qt4
+    --with-frontend=qt4 --without-included-boost
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
   # install desktop entry
   install -Dm644 ${srcdir}/lyx.desktop \



More information about the arch-commits mailing list